%define release_name Laughin
%define dist_version 14

Summary:	Fuduntu customizations package
Name:		fuduntu-customizations
Version:	14
Release:	7.7
License:	GPLv2
Group:		System Environment/Base
URL:		http://www.sf.net/projects/fuduntu
Source:		%{name}-%{version}.tar.bz2
Requires:	fuduntu-release
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
Tweaks and configuration items used to create Fuduntu

%prep
%setup -q

%build

%pre
if [ -e "/etc/rpm/macros.lang" ]; then
  rm /etc/rpm/macros.lang 2>/dev/null || true
fi

%post

### Remove the old cgroups cruft
if [ "$(grep cgroup /etc/rc.local)" ]; then
  sed -i '/mkdir -p/,/mkdir -m/d' /etc/rc.local
fi

if [ "$(grep cgroup/cpu /etc/bashrc)" ]; then
  sed -i '/if \[ \"\$PS1\" \] ; then/,/fi/d' /etc/bashrc
fi

chkconfig cgroups on >/dev/null 2>&1 || true
/etc/init.d/cgroups start >/dev/null 2>&1 || true

if [ -e "/var/fuduntu/firefox" ]; then
  rm /var/fuduntu/firefox 2>/dev/null || true
fi

chkconfig fuduntutweak on >/dev/null 2>&1 || true
/etc/init.d/fuduntutweak start >/dev/null 2>&1 || true

### Disable OOo quickstart until I can fix transparency
if [ -e "/etc/skel/.config/autostart/qstart.desktop" ]; then
  rm /etc/skel/.config/autostart/qstart.desktop 2>/dev/null
fi

if [ -e "/etc/xdg/autostart/qstart.desktop" ]; then
  rm /etc/xdg/autostart/qstart.desktop 2>/dev/null
fi

### Adjust font rendering for apps like OOo
echo -n "Correcting font rendering for users: "
for i in $(awk -F: '$6 ~ /\/home/ && $3 >= 500 {print $1}' /etc/passwd);
do
  UHOME=$(awk -F: "/$i/ {print \$6}" /etc/passwd)

  if [ ! "$(grep Xft.lcdfilter $UHOME/.Xresources 2>/dev/null)" ]; then
    echo -n $i" "
    cat /etc/skel/.Xresources >> $UHOME/.Xresources 2>/dev/null
    /bin/chown $i $UHOME/.Xresources 2>/dev/null
    /bin/chmod 750 $UHOME/.Xresources 2>/dev/null
  else
    /bin/chown $i $UHOME/.Xresources 2>/dev/null
    /bin/chmod 750 $UHOME/.Xresources 2>/dev/null
  fi
done

### Update to correct missing grub symlinks.
if [ ! -L "/etc/grub.conf" ]; then
  cp /etc/grub.conf /boot/grub 2>/dev/null || true
  cd /etc
  rm -f /etc/grub.conf 2>/dev/null || true
  ln -s /boot/grub/grub.conf /etc/grub.conf 2>/dev/null || true
fi
if [ ! -L "/boot/grub/menu.lst" ]; then
  rm -f /boot/grub/menu.lst 2>/dev/null || true
  cd /boot
  ln -s /boot/grub/grub.conf /boot/grub/menu.lst 2>/dev/null || true
fi

### Lets not get rid of docs, and languages users are starting to need them.
if [ -e "/etc/rpm/macros.lang" ]; then
  rm /etc/rpm/macros.lang
fi

if [ -e "/etc/rpm/macros.nodocs" ]; then
  rm /etc/rpm/macros.nodocs
fi

%install
install -d -m 755 $RPM_BUILD_ROOT/etc/profile.d
install -m 755 tweaks/etc/profile.d/prompt.sh $RPM_BUILD_ROOT/etc/profile.d
install -m 755 tweaks/etc/profile.d/cgroups.sh $RPM_BUILD_ROOT/etc/profile.d

install -d -m 755 $RPM_BUILD_ROOT/etc/skel
install -m 755 tweaks/etc/skel/.Xresources $RPM_BUILD_ROOT/etc/skel

install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -m 755 tweaks/etc/init.d/cgroups $RPM_BUILD_ROOT/etc/init.d
install -m 755 tweaks/etc/init.d/fuduntutweak $RPM_BUILD_ROOT/etc/init.d

install -d -m 755 $RPM_BUILD_ROOT/usr/local/sbin
install -m 755 tweaks/usr/local/sbin/cgroup_clean $RPM_BUILD_ROOT/usr/local/sbin/cgroup_clean

%clean
rm -rf $RPM_BUILD_ROOT

%files
/etc/init.d/cgroups
/etc/init.d/fuduntutweak
/etc/skel/.Xresources
/etc/profile.d/cgroups.sh
/etc/profile.d/prompt.sh
/usr/local/sbin/cgroup_clean

%changelog
* Wed Jan 05 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-7
- No longer remove docs and language files
- Correct GRUB symlink if it's broken (needed for future kernel update)

* Thu Dec 23 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-6
- Correct font rendering for apps like OOo

* Sat Dec 11 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-7.3
- Disabled nodocs macro while troubleshooting incompatibilty with VirtualBox
- Altered firefox tweak to replace the right start page

* Fri Dec 10 2010 Andrew Wyatt <andrew.wyatt@fewt.com - 14-7.1
- Cleaned up firefox tweak

* Thu Dec 09 2010 Andrew Wyatt <andrew.wyatt@fewt.com - 14-7.0
- Retired deadline check since it is now in-kernel
- Altered fuduntu tweak script to run once for each tweak
- Do not install documentation with RPMs by default

* Fri Dec 03 2010 Andrew Wyatt <andrew.wyatt@fewt.com - 14-6.2
- Moved some tweaks to init script

* Fri Dec 03 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-6.1
- Created to correct issues when building ISO from kickstart
- All tweaks moved here
